----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    21:41:42 04/18/2009 
-- Design Name: 
-- Module Name:    clockdiv - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity clockdiv1 is
    Port ( clkin : in  STD_LOGIC;
           clkout : out  STD_LOGIC);
end clockdiv1;

architecture Behavioral of clockdiv1 is
	signal Q: integer range 0 to 49999999;
	signal state: std_logic;
begin
	clkout <= state;
	process(clkin)
	begin
		if(clkin'event and clkin = '1') then
			if( Q = 99) then
				Q <= 0;
				state <= not state;
			else
				Q <= Q + 1;
			end if;
		end if;
	end process;
end Behavioral;

