library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity SINEWAVE is port
   (
        DATAOUT      : out  std_logic_vector(11 downto 0);
        SAMPLECLK    : in   std_logic
   );
end SINEWAVE;


architecture behavioral of SINEWAVE is

signal I : integer range 0 to 15;

begin
             with I select
				 DATAOUT <= "100000000000" when 0,
								"101100001111" when 1,
								"110110100111" when 2,
								"111101100011" when 3,
								"111111111111" when 4,
								"111101100011" when 5,
								"110110100111" when 6,
								"101100001111" when 7,
								"100000000000" when 8,
								"010011110000" when 9,
								"001001011000" when 10,
								"000010011100" when 11,
								"000000000000" when 12,
								"000010011100" when 13,
								"001001011000" when 14,
								"010011110000" when 15;

             I <= I + 1 when rising_edge(SAMPLECLK);
end behavioral;
