library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity SQUAREWAVE is port
   (
        DATAOUT      : out  std_logic_vector(11 downto 0);
        SAMPLECLK    : in   std_logic
   );
end SQUAREWAVE;


architecture behavioral of SQUAREWAVE is

signal I : integer range 0 to 15;

begin
             with I select
             DATAOUT <=  "000000000000" when 0,
                         "000000000000" when 1,
                         "000000000000" when 2,
                         "000000000000" when 3,
                         "111111111111" when 4,
                         "111111111111" when 5,
                         "111111111111" when 6,
                         "111111111111" when 7,
                         "111111111111" when 8,
                         "111111111111" when 9,
                         "111111111111" when 10,
                         "111111111111" when 11,
                         "000000000000" when 12,
                         "000000000000" when 13,
                         "000000000000" when 14,
                         "000000000000" when 15;

             I <= I + 1 when (SAMPLECLK ' EVENT AND SAMPLECLK ='1' ); --on rising edge
end behavioral;
